WINESERVER(1)

NOM
wineserver - le serveur Wine

SYNOPSIS
wineserver [options]

DESCRIPTION
wineserver est un démon qui fournit à Wine à peu près les mêmes services que le noyau de Windows fournit sous Windows.

wineserver est normalement exécuté automatiquement lorsque wine(1) est démarré, vous ne devriez donc pas vous en préoccuper. Néanmoins, dans certains cas, il peut être utile de démarrer wineserver explicitement avec certaines options, comme expliqué ci-après.

OPTIONS

-d[n], --debug[=n]
    Définit le niveau de débogage à n. 0 signifie aucune information de débogage, 1 est le niveau normal et 2 est pour un débogage plus important. Si n n'est pas spécifié, la valeur par défaut est 1. La sortie de débogage sera stderr. wine(1) spécifie automatiquement le niveau de débogage lorsqu'il démarre wineserver si l'option +server est indiquée dans la variable WINEDEBUG.

-f, --foreground
    Laisse le serveur au premier plan pour un débogage plus aisé, par exemple lorsqu'il est exécuté dans un débogueur.

-h, --help
    Affiche un message d'aide.

-k[n], --kill[=n]
    Termine le wineserver actuellement exécuté en envoyant facultativement un signal n. Si aucun signal n'est spécifié, un signal SIGINT est envoyé en premier, puis un signal SIGKILL. L'instance de wineserver qui est terminée est sélectionnée en fonction de la variable d'environnement WINEPREFIX.

-p[n], --persistent[=n]
    Spécifie le délai de persistance de wineserver, c'est-à-dire le temps pendant lequel le serveur continuera de tourner après que tous les processus clients se sont terminés. Ceci évite le coût inhérent à l'arrêt puis au redémarrage du serveur lorsque des programmes sont lancés successivement à intervalle rapproché. Le délai d'attente n est exprimé en secondes (3 secondes par défaut). Si n n'est pas spécifié, le serveur s'exécute indéfiniment.

-v, --version
    Affiche les informations sur la version et quitte.

-w, --wait
    Attend que le wineserver actuellement exécuté se termine.

VARIABLES D'ENVIRONNEMENT

WINEPREFIX
    Si définie, le contenu de cette variable est pris comme le nom du répertoire où wineserver stocke ses données (la valeur par défaut est $HOME/.wine). Tous les processus wine utilisant le même wineserver (c'est-à-dire pour un même utilisateur) partagent certains éléments comme la base de registre, la mémoire partagée et les objets du noyau. En donnant à WINEPREFIX une valeur spécifique pour différents processus Wine, il est possible d'exécuter plusieurs sessions de Wine totalement indépendantes.

WINESERVER
    Spécifie le chemin et le nom de l'exécutable wineserver qui sera lancé automatiquement par wine. Si cette variable n'est pas définie, Wine essaiera de charger /usr/bin/wineserver ou, à défaut, un fichier nommé wineserver dans le chemin système ou quelques autres emplacements potentiels.

FICHIERS

~/.wine
    Répertoire contenant les données utilisateur gérées par wine.

/tmp/.wine-uid
    Le répertoire contenant le socket de serveur Unix et le fichier de verrouillage. Ces fichiers sont créés dans un sous-répertoire dont le nom est généré à partir des périphérique et numéros d'inodes du répertoire WINEPREFIX.

AUTEURS
L'auteur originel de wineserver est Alexandre Julliard. Beaucoup d'autres personnes ont contribué de nouvelles fonctionnalités et des correction d'anomalies. Référez-vous au fichier Changelog dans la distribution de Wine pour les détails complets.

ANOMALIES
Si vous détectez une anomalie, veuillez soumettre un rapport d'anomalie sur http://bugs.winehq.org. (http://bugs.winehq.org)

DISPONIBILITÉ
wineserver fait partie de la distribution de Wine qui est disponible depuis WineHQ, le quartier général des développeurs de Wine, sur http://www.winehq.org/. (http://www.winehq.org/)

VOIR AUSSI
wine(1).